"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/1z/65jd_97j40z81zjth6w6qbs40000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53310>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10fd533a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53430>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10fd534c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53550>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10fd535e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53670>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53700>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53790>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53820>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10fd538b0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53940>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10fd539d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53a60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53af0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53b80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53c10>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53ca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53d30>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53dc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53e50>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53ee0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10fd53f70>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64160>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10fe640d0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10fe641f0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64280>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64310>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10fe643a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64430>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10fe644c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64550>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10fe645e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64670>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64700>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64790>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64820>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10fe648b0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64940>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10fe649d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64a60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64af0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64b80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64c10>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64ca0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64d30>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64dc0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64e50>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64ee0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10fe64f70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68040>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10fe680d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68160>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10fe681f0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68280>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68310>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fe683a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68430>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe684c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68550>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe685e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68670>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68700>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68790>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68820>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10fe689d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10fe688b0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68a60>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68af0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68b80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68c10>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68ca0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68dc0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68d30>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68e50>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68ee0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10fe68f70>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10fe690d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10fe69040>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10fe69160>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10fe691f0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10fe69280>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10fe69310>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10fe693a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10fe69430>)]
name: str = 'fr_HOCCN'
